#Boa:Frame:cmdEditorFrame

import wx

def create(parent):
    return cmdEditorFrame(parent)

[wxID_CMDEDITORFRAME, wxID_CMDEDITORFRAMEBUTTONEXIT, 
 wxID_CMDEDITORFRAMEBUTTONLOAD, wxID_CMDEDITORFRAMEBUTTONRUN, wxID_CMDEDITORFRAMEBUTTONMAILTO, 
 wxID_CMDEDITORFRAMEBUTTONSAVE, wxID_CMDEDITORFRAMEPANEL1, 
 wxID_CMDEDITORFRAMESTATICTEXT1, wxID_CMDEDITORFRAMESTATICTEXT2, 
 wxID_CMDEDITORFRAMETEXTCTRL, wxID_CMDEDITORFRAMETEXTTRANS, 
] = [wx.NewId() for _init_ctrls in range(11)]

class cmdEditorFrame(wx.Frame):
    def _init_coll_flexGridSizer1_Items(self, parent):
        # generated method, don't edit

        parent.AddWindow(self.buttonLoad, 1, border=5, flag=wx.ALL)
        parent.AddWindow(self.buttonSave, 1, border=5, flag=wx.ALL)
        parent.AddSpacer(wx.Size(100, 8), border=0, flag=wx.EXPAND | wx.ALL)
        parent.AddWindow(self.buttonRun, 1, border=5, flag=wx.ALL)
        parent.AddWindow(self.buttonMailTo, 1, border=5, flag=wx.ALL)
        parent.AddWindow(self.buttonExit, 1, border=5,
              flag=wx.ALL | wx.ALIGN_RIGHT)

    def _init_coll_boxSizer1_Items(self, parent):
        # generated method, don't edit

        parent.AddWindow(self.staticText1, 0, border=5, flag=wx.LEFT)
        parent.AddWindow(self.textCtrl, 2, border=5, flag=wx.ALL | wx.EXPAND)
        parent.AddWindow(self.staticText2, 0, border=5, flag=wx.LEFT)
        parent.AddWindow(self.textTrans, 1, border=5, flag=wx.ALL | wx.EXPAND)
        parent.AddSizer(self.flexGridSizer1, 0, border=0, flag=0)

    def _init_sizers(self):
        # generated method, don't edit
        self.boxSizer1 = wx.BoxSizer(orient=wx.VERTICAL)
        self.boxSizer1.SetMinSize(wx.Size(1332, 835))

        self.flexGridSizer1 = wx.FlexGridSizer(cols=0, hgap=0, rows=1, vgap=0)

        self._init_coll_boxSizer1_Items(self.boxSizer1)
        self._init_coll_flexGridSizer1_Items(self.flexGridSizer1)

        self.panel1.SetSizer(self.boxSizer1)

    def _init_ctrls(self, prnt):
        # generated method, don't edit
        wx.Frame.__init__(self, id=wxID_CMDEDITORFRAME, name=u'cmdEditorFrame',
              parent=prnt, pos=wx.Point(256, 29), size=wx.Size(858, 646),
              style=wx.RESIZE_BORDER | wx.CAPTION | wx.CLOSE_BOX,
              title='Frame1')
        self.SetClientSize(wx.Size(858, 646))
        self.SetBackgroundColour(wx.Colour(77, 77, 77))
        self.SetMinSize(wx.Size(858, 600))

        self.panel1 = wx.Panel(id=wxID_CMDEDITORFRAMEPANEL1, name='panel1',
              parent=self, pos=wx.Point(0, 0), size=wx.Size(858, 646),
              style=wx.TAB_TRAVERSAL)
        self.panel1.SetBackgroundColour(wx.Colour(127, 127, 127))

        self.buttonSave = wx.Button(id=wxID_CMDEDITORFRAMEBUTTONSAVE,
              label=u'Save', name=u'buttonSave', parent=self.panel1,
              pos=wx.Point(100, 612), size=wx.Size(112, 29), style=0)

        self.buttonRun = wx.Button(id=wxID_CMDEDITORFRAMEBUTTONRUN,
              label=u'Run', name=u'buttonRun', parent=self.panel1,
              pos=wx.Point(322, 612), size=wx.Size(85, 29), style=0)

        self.buttonMailTo = wx.Button(id=wxID_CMDEDITORFRAMEBUTTONMAILTO,
              label=u'Send email...', name=u'buttonMailTo', parent=self.panel1,
              pos=wx.Point(420, 612), size=wx.Size(85, 29), style=0)

        self.buttonExit = wx.Button(id=wxID_CMDEDITORFRAMEBUTTONEXIT,
              label=u'Exit', name=u'buttonExit', parent=self.panel1,
              pos=wx.Point(517, 612), size=wx.Size(85, 29), style=0)

        self.textCtrl = wx.TextCtrl(id=wxID_CMDEDITORFRAMETEXTCTRL,
              name=u'textCtrl', parent=self.panel1, pos=wx.Point(5, 22),
              size=wx.Size(848, 372), style=wx.TE_MULTILINE, value=u'')
        self.textCtrl.SetMinSize(wx.Size(848, 300))

        self.textTrans = wx.TextCtrl(id=wxID_CMDEDITORFRAMETEXTTRANS,
              name=u'textTrans', parent=self.panel1, pos=wx.Point(5, 421),
              size=wx.Size(848, 181), style=wx.TE_MULTILINE | wx.TE_READONLY,
              value=u'')
        self.textTrans.SetBackgroundColour(wx.Colour(191, 191, 191))
        self.textTrans.SetMinSize(wx.Size(848, 150))

        self.staticText1 = wx.StaticText(id=wxID_CMDEDITORFRAMESTATICTEXT1,
              label=u'Orders editor:', name='staticText1', parent=self.panel1,
              pos=wx.Point(5, 0), size=wx.Size(97, 17), style=0)

        self.staticText2 = wx.StaticText(id=wxID_CMDEDITORFRAMESTATICTEXT2,
              label=u'Orders translation:', name='staticText2',
              parent=self.panel1, pos=wx.Point(5, 399), size=wx.Size(129, 17),
              style=0)

        self.buttonLoad = wx.Button(id=wxID_CMDEDITORFRAMEBUTTONLOAD,
              label=u'Import...', name=u'buttonLoad', parent=self.panel1,
              pos=wx.Point(5, 612), size=wx.Size(85, 29), style=0)
        self.buttonLoad.Bind(wx.EVT_BUTTON, self.OnButtonLoadButton,
              id=wxID_CMDEDITORFRAMEBUTTONLOAD)

        self._init_sizers()

    def __init__(self, parent):
        self._init_ctrls(parent)

    def OnButtonLoadButton(self, event):
        event.Skip()


if __name__ == '__main__':
    app = wx.PySimpleApp()
    frame = create(None)
    frame.Show()

    app.MainLoop()
